diff -up ./tools/boot/jessie/boot-hppa.org ./tools/boot/jessie/boot-hppa
--- ./tools/boot/jessie/boot-hppa.org	2014-04-07 18:46:18.343475765 +0000
+++ ./tools/boot/jessie/boot-hppa	2014-04-07 18:48:37.291361920 +0000
@@ -30,7 +30,6 @@ if [ -z "$PALODEB" ] ; then
 fi
 (dpkg --fsys-tarfile "$MIRROR/$PALODEB" | \
     tar xf - -C . ./usr/share/palo/iplboot)
-mv boot/delo.2nd $CDROOT/boot/delo.2nd
 mv usr/share/palo/iplboot $CDROOT/install/iplboot
 
 if [ -n "$ARCHIVE_EXTRACTED_SOURCES" ]; then
@@ -48,18 +47,19 @@ else
 	wget -r -nd --no-parent -P "$DI_DIR" "$DI_WWW_HOME"
 fi
 	
-cp "$DI_DIR"/vmlinux-*-parisc "$CDROOT/install"
-cp "$DI_DIR"/vmlinux-*-parisc64 "$CDROOT/install"
+K32=$(basename "$DI_DIR"/vmlinux-*-parisc)
+K64=$(basename "$DI_DIR"/vmlinux-*-parisc64*)
+
+# palo >= 1.91 can load gzip-compressed Linux kernels
+gzip -c "$DI_DIR"/$K32 > "$CDROOT/install"/$K32
+gzip -c "$DI_DIR"/$K64 > "$CDROOT/install"/$K64
 cp "$DI_DIR"/initrd.gz "$CDROOT/install"
 
 install_languages "$CDROOT"
 
-K32=$(ls $CDROOT/install/vmlinux-*-parisc|head -1 | sed 's?^.*/install/?install/?g')
-K64=$(ls $CDROOT/install/vmlinux-*-parisc64|head -1 | sed 's?^.*/install/?install/?g')
-
 add_mkisofs_opt $CDROOT/../$1.mkisofs_opts "-hppa-cmdline '0/vmlinux initrd=0/ramdisk${KERNEL_PARAMS:+ $KERNEL_PARAMS}'"
-add_mkisofs_opt $CDROOT/../$1.mkisofs_opts "-hppa-kernel-32 $K32"
-add_mkisofs_opt $CDROOT/../$1.mkisofs_opts "-hppa-kernel-64 $K64"
+add_mkisofs_opt $CDROOT/../$1.mkisofs_opts "-hppa-kernel-32 install/$K32"
+add_mkisofs_opt $CDROOT/../$1.mkisofs_opts "-hppa-kernel-64 install/$K64"
 add_mkisofs_opt $CDROOT/../$1.mkisofs_opts "-hppa-bootloader install/iplboot"
 add_mkisofs_opt $CDROOT/../$1.mkisofs_opts "-hppa-ramdisk install/initrd.gz"
 
